Data Structures | Typedefs

# ai.hpp File Reference

Base functions for all AIs. More...

`#include "../script/api/script_event_types.hpp"`
`#include "../core/string_compare_type.hpp"`
`#include "ai_scanner.hpp"`
`#include <map>`
`#include "../core/string_compare_type.hpp"`

Go to the source code of this file.

## Data Structures
class | AI
| Main AI class. More...
## Typedefs
typedef std::map< const char *, class ScriptInfo *, StringCompare > | ScriptInfoList
| A list that maps AI names to their AIInfo object.

## Detailed Description

Base functions for all AIs.

Definition in file ai.hpp.

## Typedef Documentation

typedef std::map<const char *, class ScriptInfo *, StringCompare> ScriptInfoList

A list that maps AI names to their AIInfo object.

Definition at line 21 of file ai.hpp.